<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: units::volume Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceunits.html">units</a></li><li class="navelem"><a class="el" href="namespaceunits_1_1volume.html">volume</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">units::volume Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>namespace for unit types and containers representing volume values  
<a href="namespaceunits_1_1volume.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a77443d779ba67936c9f48f01144b9ee3"><td class="memItemLeft" align="right" valign="top"><a id="a77443d779ba67936c9f48f01144b9ee3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a77443d779ba67936c9f48f01144b9ee3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c15acc880f41f65d50ddee66c6349f"><td class="memItemLeft" align="right" valign="top"><a id="a64c15acc880f41f65d50ddee66c6349f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_meter_t</a> &amp;obj)</td></tr>
<tr class="separator:a64c15acc880f41f65d50ddee66c6349f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e97d03cc1b6b7bf24d9247f38b4aab7"><td class="memItemLeft" align="right" valign="top"><a id="a0e97d03cc1b6b7bf24d9247f38b4aab7"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_millimeter_t</a> &amp;obj)</td></tr>
<tr class="separator:a0e97d03cc1b6b7bf24d9247f38b4aab7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a126478cccd288379183573e18606d0df"><td class="memItemLeft" align="right" valign="top"><a id="a126478cccd288379183573e18606d0df"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_millimeter_t</a> &amp;obj)</td></tr>
<tr class="separator:a126478cccd288379183573e18606d0df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bf01afb124a30450975425d62896e17"><td class="memItemLeft" align="right" valign="top"><a id="a5bf01afb124a30450975425d62896e17"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_kilometer_t</a> &amp;obj)</td></tr>
<tr class="separator:a5bf01afb124a30450975425d62896e17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af76a7e23cdca9c7b77695fdb3ab6d296"><td class="memItemLeft" align="right" valign="top"><a id="af76a7e23cdca9c7b77695fdb3ab6d296"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_kilometer_t</a> &amp;obj)</td></tr>
<tr class="separator:af76a7e23cdca9c7b77695fdb3ab6d296"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9edf15cb43a20a5c0bde01259e1fa0ee"><td class="memItemLeft" align="right" valign="top"><a id="a9edf15cb43a20a5c0bde01259e1fa0ee"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">liter_t</a> &amp;obj)</td></tr>
<tr class="separator:a9edf15cb43a20a5c0bde01259e1fa0ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a403f4bec43c2d14dc8fc74c0e6dbed15"><td class="memItemLeft" align="right" valign="top"><a id="a403f4bec43c2d14dc8fc74c0e6dbed15"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">liter_t</a> &amp;obj)</td></tr>
<tr class="separator:a403f4bec43c2d14dc8fc74c0e6dbed15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a3f1ad2ce0a09a5e6981fa960a36630"><td class="memItemLeft" align="right" valign="top"><a id="a9a3f1ad2ce0a09a5e6981fa960a36630"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a9a3f1ad2ce0a09a5e6981fa960a36630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a570853622607cd60c5e983c6843e6588"><td class="memItemLeft" align="right" valign="top"><a id="a570853622607cd60c5e983c6843e6588"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_inch_t</a> &amp;obj)</td></tr>
<tr class="separator:a570853622607cd60c5e983c6843e6588"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1082a4337ed0d7008f4735b1ca55c0"><td class="memItemLeft" align="right" valign="top"><a id="adc1082a4337ed0d7008f4735b1ca55c0"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:adc1082a4337ed0d7008f4735b1ca55c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a624c8f822cc5d9557c42424adaa278c1"><td class="memItemLeft" align="right" valign="top"><a id="a624c8f822cc5d9557c42424adaa278c1"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_foot_t</a> &amp;obj)</td></tr>
<tr class="separator:a624c8f822cc5d9557c42424adaa278c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade4402473dad5b6ca8b925ab8eb0a096"><td class="memItemLeft" align="right" valign="top"><a id="ade4402473dad5b6ca8b925ab8eb0a096"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_yard_t</a> &amp;obj)</td></tr>
<tr class="separator:ade4402473dad5b6ca8b925ab8eb0a096"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a981b566550abb3e799a20d5a26c25618"><td class="memItemLeft" align="right" valign="top"><a id="a981b566550abb3e799a20d5a26c25618"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_yard_t</a> &amp;obj)</td></tr>
<tr class="separator:a981b566550abb3e799a20d5a26c25618"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab43bee5babaf24358226ffb461440768"><td class="memItemLeft" align="right" valign="top"><a id="ab43bee5babaf24358226ffb461440768"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_mile_t</a> &amp;obj)</td></tr>
<tr class="separator:ab43bee5babaf24358226ffb461440768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9f04188ed74ffe79a37f3112bcbf50b"><td class="memItemLeft" align="right" valign="top"><a id="aa9f04188ed74ffe79a37f3112bcbf50b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_mile_t</a> &amp;obj)</td></tr>
<tr class="separator:aa9f04188ed74ffe79a37f3112bcbf50b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee0f66f20590bb7a29c92d5280fd17ed"><td class="memItemLeft" align="right" valign="top"><a id="aee0f66f20590bb7a29c92d5280fd17ed"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:aee0f66f20590bb7a29c92d5280fd17ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ae89be63cd4c59cb7e545be72d0645d"><td class="memItemLeft" align="right" valign="top"><a id="a6ae89be63cd4c59cb7e545be72d0645d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gallon_t</a> &amp;obj)</td></tr>
<tr class="separator:a6ae89be63cd4c59cb7e545be72d0645d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc12c42c6bf4532ace30567d5dccfa85"><td class="memItemLeft" align="right" valign="top"><a id="acc12c42c6bf4532ace30567d5dccfa85"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">quart_t</a> &amp;obj)</td></tr>
<tr class="separator:acc12c42c6bf4532ace30567d5dccfa85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a73bd7d6e0e7c9c72043a879c438e7d"><td class="memItemLeft" align="right" valign="top"><a id="a0a73bd7d6e0e7c9c72043a879c438e7d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">quart_t</a> &amp;obj)</td></tr>
<tr class="separator:a0a73bd7d6e0e7c9c72043a879c438e7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab428cf84d10e4aa018389a57fe8eab74"><td class="memItemLeft" align="right" valign="top"><a id="ab428cf84d10e4aa018389a57fe8eab74"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pint_t</a> &amp;obj)</td></tr>
<tr class="separator:ab428cf84d10e4aa018389a57fe8eab74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee17acfc53dc50676fbd2c9a356cc8e4"><td class="memItemLeft" align="right" valign="top"><a id="aee17acfc53dc50676fbd2c9a356cc8e4"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pint_t</a> &amp;obj)</td></tr>
<tr class="separator:aee17acfc53dc50676fbd2c9a356cc8e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26d10540f37f421c59e162a83d2921eb"><td class="memItemLeft" align="right" valign="top"><a id="a26d10540f37f421c59e162a83d2921eb"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cup_t</a> &amp;obj)</td></tr>
<tr class="separator:a26d10540f37f421c59e162a83d2921eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab334280baf4ae4445db4ae10ae51afa1"><td class="memItemLeft" align="right" valign="top"><a id="ab334280baf4ae4445db4ae10ae51afa1"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cup_t</a> &amp;obj)</td></tr>
<tr class="separator:ab334280baf4ae4445db4ae10ae51afa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5606d071be36aa13f94dbf7d588ad43"><td class="memItemLeft" align="right" valign="top"><a id="ae5606d071be36aa13f94dbf7d588ad43"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">fluid_ounce_t</a> &amp;obj)</td></tr>
<tr class="separator:ae5606d071be36aa13f94dbf7d588ad43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a958d14c94084712800aa6442d786b79f"><td class="memItemLeft" align="right" valign="top"><a id="a958d14c94084712800aa6442d786b79f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">fluid_ounce_t</a> &amp;obj)</td></tr>
<tr class="separator:a958d14c94084712800aa6442d786b79f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f2a091840551de9af30179423b08ae4"><td class="memItemLeft" align="right" valign="top"><a id="a1f2a091840551de9af30179423b08ae4"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">barrel_t</a> &amp;obj)</td></tr>
<tr class="separator:a1f2a091840551de9af30179423b08ae4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ae77908175fccc1e96dbd7ecb4a0e6b"><td class="memItemLeft" align="right" valign="top"><a id="a9ae77908175fccc1e96dbd7ecb4a0e6b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">barrel_t</a> &amp;obj)</td></tr>
<tr class="separator:a9ae77908175fccc1e96dbd7ecb4a0e6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a805cac1952d1590c58021fb1745ffe5f"><td class="memItemLeft" align="right" valign="top"><a id="a805cac1952d1590c58021fb1745ffe5f"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">bushel_t</a> &amp;obj)</td></tr>
<tr class="separator:a805cac1952d1590c58021fb1745ffe5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51f8d802e54f91c2c2b9429863b1a956"><td class="memItemLeft" align="right" valign="top"><a id="a51f8d802e54f91c2c2b9429863b1a956"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">bushel_t</a> &amp;obj)</td></tr>
<tr class="separator:a51f8d802e54f91c2c2b9429863b1a956"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb71c639a1eb0d120e5daad57153824d"><td class="memItemLeft" align="right" valign="top"><a id="aeb71c639a1eb0d120e5daad57153824d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cord_t</a> &amp;obj)</td></tr>
<tr class="separator:aeb71c639a1eb0d120e5daad57153824d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8336737dbd050e5bd0748ef01790d35"><td class="memItemLeft" align="right" valign="top"><a id="af8336737dbd050e5bd0748ef01790d35"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cord_t</a> &amp;obj)</td></tr>
<tr class="separator:af8336737dbd050e5bd0748ef01790d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9acff2c32c6e5f1b51ed8bce688311bf"><td class="memItemLeft" align="right" valign="top"><a id="a9acff2c32c6e5f1b51ed8bce688311bf"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">cubic_fathom_t</a> &amp;obj)</td></tr>
<tr class="separator:a9acff2c32c6e5f1b51ed8bce688311bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b30a0a3a656c38291dcb1fddfcef04a"><td class="memItemLeft" align="right" valign="top"><a id="a8b30a0a3a656c38291dcb1fddfcef04a"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">cubic_fathom_t</a> &amp;obj)</td></tr>
<tr class="separator:a8b30a0a3a656c38291dcb1fddfcef04a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64c465f82a2c3487aeaae2800ab6dd9d"><td class="memItemLeft" align="right" valign="top"><a id="a64c465f82a2c3487aeaae2800ab6dd9d"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">tablespoon_t</a> &amp;obj)</td></tr>
<tr class="separator:a64c465f82a2c3487aeaae2800ab6dd9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7dd4bd240aeaf17f49561c0f3d76a7e"><td class="memItemLeft" align="right" valign="top"><a id="aa7dd4bd240aeaf17f49561c0f3d76a7e"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">tablespoon_t</a> &amp;obj)</td></tr>
<tr class="separator:aa7dd4bd240aeaf17f49561c0f3d76a7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eec635fff95893c38d99ae852457bb3"><td class="memItemLeft" align="right" valign="top"><a id="a9eec635fff95893c38d99ae852457bb3"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">teaspoon_t</a> &amp;obj)</td></tr>
<tr class="separator:a9eec635fff95893c38d99ae852457bb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a923be2e3f2711e40406fb947267fa470"><td class="memItemLeft" align="right" valign="top"><a id="a923be2e3f2711e40406fb947267fa470"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">teaspoon_t</a> &amp;obj)</td></tr>
<tr class="separator:a923be2e3f2711e40406fb947267fa470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35499e2fe549da88967ba64059d5b7c"><td class="memItemLeft" align="right" valign="top"><a id="ad35499e2fe549da88967ba64059d5b7c"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">pinch_t</a> &amp;obj)</td></tr>
<tr class="separator:ad35499e2fe549da88967ba64059d5b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb46b221b7a23657bfa4fcb2f67c1adf"><td class="memItemLeft" align="right" valign="top"><a id="acb46b221b7a23657bfa4fcb2f67c1adf"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">pinch_t</a> &amp;obj)</td></tr>
<tr class="separator:acb46b221b7a23657bfa4fcb2f67c1adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f82d6523a9809c546fa45f7ba7b3944"><td class="memItemLeft" align="right" valign="top"><a id="a0f82d6523a9809c546fa45f7ba7b3944"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">dash_t</a> &amp;obj)</td></tr>
<tr class="separator:a0f82d6523a9809c546fa45f7ba7b3944"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1750b74e37f1de430055a27875ef1e3"><td class="memItemLeft" align="right" valign="top"><a id="ae1750b74e37f1de430055a27875ef1e3"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">dash_t</a> &amp;obj)</td></tr>
<tr class="separator:ae1750b74e37f1de430055a27875ef1e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ea822da1cc6d6c5c4f604e3817e9ecf"><td class="memItemLeft" align="right" valign="top"><a id="a2ea822da1cc6d6c5c4f604e3817e9ecf"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">drop_t</a> &amp;obj)</td></tr>
<tr class="separator:a2ea822da1cc6d6c5c4f604e3817e9ecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed6bb2ab78caa6ad06e39a7956e7696d"><td class="memItemLeft" align="right" valign="top"><a id="aed6bb2ab78caa6ad06e39a7956e7696d"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">drop_t</a> &amp;obj)</td></tr>
<tr class="separator:aed6bb2ab78caa6ad06e39a7956e7696d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a773f9f4c2a74f8c0076e739802077960"><td class="memItemLeft" align="right" valign="top"><a id="a773f9f4c2a74f8c0076e739802077960"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">fifth_t</a> &amp;obj)</td></tr>
<tr class="separator:a773f9f4c2a74f8c0076e739802077960"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91502d8fd717c4f8977da642b1b00e12"><td class="memItemLeft" align="right" valign="top"><a id="a91502d8fd717c4f8977da642b1b00e12"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">fifth_t</a> &amp;obj)</td></tr>
<tr class="separator:a91502d8fd717c4f8977da642b1b00e12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fcc366dc6dacaea8f5d21f3c28b34f4"><td class="memItemLeft" align="right" valign="top"><a id="a8fcc366dc6dacaea8f5d21f3c28b34f4"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">dram_t</a> &amp;obj)</td></tr>
<tr class="separator:a8fcc366dc6dacaea8f5d21f3c28b34f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f8fa34c060078a8b85d862356654baa"><td class="memItemLeft" align="right" valign="top"><a id="a8f8fa34c060078a8b85d862356654baa"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">dram_t</a> &amp;obj)</td></tr>
<tr class="separator:a8f8fa34c060078a8b85d862356654baa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59ce33f84555a4435c9c6ec7649b34cf"><td class="memItemLeft" align="right" valign="top"><a id="a59ce33f84555a4435c9c6ec7649b34cf"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">gill_t</a> &amp;obj)</td></tr>
<tr class="separator:a59ce33f84555a4435c9c6ec7649b34cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addeaae622cca89d6a1882f59582f10d3"><td class="memItemLeft" align="right" valign="top"><a id="addeaae622cca89d6a1882f59582f10d3"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">gill_t</a> &amp;obj)</td></tr>
<tr class="separator:addeaae622cca89d6a1882f59582f10d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfe56b77ea57999af7ced23975c0aaaa"><td class="memItemLeft" align="right" valign="top"><a id="acfe56b77ea57999af7ced23975c0aaaa"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">peck_t</a> &amp;obj)</td></tr>
<tr class="separator:acfe56b77ea57999af7ced23975c0aaaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af480a38392ebf861aa6acad7534f1577"><td class="memItemLeft" align="right" valign="top"><a id="af480a38392ebf861aa6acad7534f1577"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">peck_t</a> &amp;obj)</td></tr>
<tr class="separator:af480a38392ebf861aa6acad7534f1577"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c59b4f219ae8c9b093ab7c963da050"><td class="memItemLeft" align="right" valign="top"><a id="a96c59b4f219ae8c9b093ab7c963da050"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">sack_t</a> &amp;obj)</td></tr>
<tr class="separator:a96c59b4f219ae8c9b093ab7c963da050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea3b535bb1e678db6dd0571ba3364d43"><td class="memItemLeft" align="right" valign="top"><a id="aea3b535bb1e678db6dd0571ba3364d43"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">sack_t</a> &amp;obj)</td></tr>
<tr class="separator:aea3b535bb1e678db6dd0571ba3364d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f27af9c2701dde1f28743191fa6af7"><td class="memItemLeft" align="right" valign="top"><a id="ab1f27af9c2701dde1f28743191fa6af7"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">shot_t</a> &amp;obj)</td></tr>
<tr class="separator:ab1f27af9c2701dde1f28743191fa6af7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fa394bb344cb8dd06e3f7cd1372bf9f"><td class="memItemLeft" align="right" valign="top"><a id="a6fa394bb344cb8dd06e3f7cd1372bf9f"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">shot_t</a> &amp;obj)</td></tr>
<tr class="separator:a6fa394bb344cb8dd06e3f7cd1372bf9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ae2734d40f5498062e0b1537e94c876"><td class="memItemLeft" align="right" valign="top"><a id="a8ae2734d40f5498062e0b1537e94c876"></a>
std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator&lt;&lt;</b> (std::ostream &amp;os, const <a class="el" href="classunits_1_1unit__t.html">strike_t</a> &amp;obj)</td></tr>
<tr class="separator:a8ae2734d40f5498062e0b1537e94c876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab95e99a4a40ba46f27cd80ee2894d48b"><td class="memItemLeft" align="right" valign="top"><a id="ab95e99a4a40ba46f27cd80ee2894d48b"></a>
std::string&#160;</td><td class="memItemRight" valign="bottom"><b>to_string</b> (const <a class="el" href="classunits_1_1unit__t.html">strike_t</a> &amp;obj)</td></tr>
<tr class="separator:ab95e99a4a40ba46f27cd80ee2894d48b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>namespace for unit types and containers representing volume values </p>
<p>The SI unit for volume is <code>cubic_meters</code>, and the corresponding <code><a class="el" href="structunits_1_1base__unit.html" title="Class representing SI base unit types.">base_unit</a></code> category is <code>volume_unit</code>. <a class="anchor" id="volumeContainers"></a></p><dl class="section see"><dt>See also</dt><dd>See <a class="el" href="classunits_1_1unit__t.html" title="Container for values which represent quantities of a given unit.">unit_t</a> for more information on <a class="el" href="structunits_1_1unit.html" title="Type representing an arbitrary unit.">unit</a> type containers. </dd></dl>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:57 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
